Download it now!
Bug 115190 - Template manager shows extension on OOXML templates
Summary: Template manager shows extension on OOXML templates
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.2 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2018-01-24 09:42 UTC by Gabor Kelemen
Modified: 2019-11-07 03:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the template manager with an ott and a dotx template (114.55 KB, image/png)
2018-01-24 09:42 UTC, Gabor Kelemen
Details
Screenshot of the template manager with an ots and an xltx template (111.64 KB, image/png)
2018-01-24 09:42 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-01-24 09:42:04 UTC
Created attachment 139321 [details]
Screenshot of the template manager with an ott and a dotx template

We created some test template files in different formats: ott, ots, docx and xltx, then dropped them into the templates folder.

The template manager window hides the extension in case of the ODF ones and displays it in case of the OOXML ones.

I'm not sure if this is intentional, but I feel it is inconsistent UX.
Maybe it would be better to hide the OOXML-based templates extensions as well?
Comment 1 Gabor Kelemen 2018-01-24 09:42:39 UTC
Created attachment 139322 [details]
Screenshot of the template manager with an ots and an xltx template
Comment 2 Heiko Tietze 2018-01-24 12:39:07 UTC
Sounds like a bug.
Comment 3 Xisco Faulí 2018-01-25 10:14:12 UTC
(In reply to Heiko Tietze from comment #2)
> Sounds like a bug.

Moving to NEW
Comment 4 Buovjaga 2018-05-23 11:34:58 UTC
Code pointer from bubli: sfx2/source/control/templatelocalview.cxx, start in TemplateLocalView::insertItems
Comment 5 QA Administrators 2019-11-07 03:34:37 UTC
Dear Gabor Kelemen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug